apiVersion: v1
kind: Service
metadata:
  name: webserver
  labels:
    app.kubernetes.io/name: takahe
    app.kubernetes.io/component: webserver
spec:
  ports:
    - port: 80
      targetPort: 8000
      name: web
  selector:
    app.kubernetes.io/name: takahe
    app.kubernetes.io/component: webserver